-- title_raise.sql

CREATE OR REPLACE PROCEDURE title_raise
             (in_title employee.title%TYPE DEFAULT '%',
              pct_inc NUMBER DEFAULT 0.1)
AS
BEGIN
   UPDATE employee
      SET pay_amount = pay_amount + (pay_amount * pct_inc)
    WHERE UPPER(title) LIKE UPPER(in_title);
END;
/
